ApiHostCertInfo (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHostCertInfo

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHostCertInfo

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHostCertInfo
      extends Object

  Associates a hostname with its corresponding certificate and private key

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHostCertInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHostCertInfo` | `addSubjectAltNamesItem(String subjectAltNamesItem)`
    `ApiHostCertInfo` | `certificate(String certificate)`
    `boolean` | `equals(Object o)`
    `String` | `getCertificate()` The certificate for this host in PEM format.
    `String` | `getHostname()` The FQDN of a host in the deployment.
    `String` | `getKey()` The private key for this host in PEM format.
    `List<String>` | `getSubjectAltNames()` A list of alt names for a host.
    `int` | `hashCode()`
    `ApiHostCertInfo` | `hostname(String hostname)`
    `ApiHostCertInfo` | `key(String key)`
    `void` | `setCertificate(String certificate)`
    `void` | `setHostname(String hostname)`
    `void` | `setKey(String key)`
    `void` | `setSubjectAltNames(List<String> subjectAltNames)`
    `ApiHostCertInfo` | `subjectAltNames(List<String> subjectAltNames)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHostCertInfo

          public ApiHostCertInfo()

  - ### Method Detail

    - #### hostname

          public ApiHostCertInfo hostname(String hostname)

    - #### getHostname

          public String getHostname()

      The FQDN of a host in the deployment.
      Returns:
        hostname

    - #### setHostname

          public void setHostname(String hostname)

    - #### certificate

          public ApiHostCertInfo certificate(String certificate)

    - #### getCertificate

          public String getCertificate()

      The certificate for this host in PEM format.
      Returns:
        certificate

    - #### setCertificate

          public void setCertificate(String certificate)

    - #### key

          public ApiHostCertInfo key(String key)

    - #### getKey

          public String getKey()

      The private key for this host in PEM format.
      Returns:
        key

    - #### setKey

          public void setKey(String key)

    - #### subjectAltNames

          public ApiHostCertInfo subjectAltNames(List<String> subjectAltNames)

    - #### addSubjectAltNamesItem

          public ApiHostCertInfo addSubjectAltNamesItem(String subjectAltNamesItem)

    - #### getSubjectAltNames

          public List<String> getSubjectAltNames()

      A list of alt names for a host.
      Returns:
        subjectAltNames

    - #### setSubjectAltNames

          public void setSubjectAltNames(List<String> subjectAltNames)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.